{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
<script>   
    function validar_inicio(xid)
    {
        if (confirm('¿Aun no ha iniciado el trabajo, desea iniciarlo?')) {
            var person = prompt("Desde que fecha iniciara el trabajo", "");
            if (person != null) {
                window.location.href = "/auditor/iniciartrabajo?id="+xid+"&xfecha="+person;
            }            
        }
    }    
</script>

<div class="x_panel">
    <div class="x_title">
      <h2>LISTA DE PROYECTOS ASIGNADOS A EL AUDITOR <small>GESTION 2021 </small></h2>
      <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Settings 1</a>
              <a class="dropdown-item" href="#">Settings 2</a>
            </div>
        </li>
        <li><a class="close-link"><i class="fa fa-close"></i></a>
        </li>
      </ul>
      <div class="clearfix"></div>
    </div>
    <div class="x_content">
        
        <table  id="datatable-responsive"
        class="table table-striped table-bordered table condensed table-hover table-responsive"
        cellspacing="0" width="100%">
            <thead>
                <th>ID</th>
                <th>AUDITOR</th>
                <th width="35%">PROYECTO</th>
                <th>PROGRAMACION</th>
                <th>PLAZO</th>
                <th>NRO MEMORANDUM</th>
                <th>FECHA MEMORANDUM</th>
                <th>TIPO DE ASIGNACION</th>
                <th>ESTADO</th>
                <th>FECHA DE INICIO</th>
                <th></th>
            </thead>
            <tbody>
                {% for asignacion in object_list %}
                <tr>
                    <td>{{ asignacion.id }}</td>
                    <td>{{ asignacion.personal.tipoauditor }} </td>
                    <td>{{ asignacion.proyecto.nombre_proyecto }}</td>
                    <td>{{ asignacion.proyecto.tipo }}</td>
                    <td>{{ asignacion.plazo }} dias</td>
                    <td>{{ asignacion.nro_memorandum }}/{{ asignacion.gestion_memorandum }}</td>
                    <td>{{ asignacion.fecha_memorandum }}</td>
                    <td>{{ asignacion.tipoasignacion.nombre_tipo }}</td>
                    <td>{{ asignacion.estado }}</td>
                    <td>{{ asignacion.fecha_inicio|date:"d/m/Y" }}</td>
                    <td>{% if asignacion.estado == 'EN ESPERA' %} <a href="#" onclick="validar_inicio('{{ asignacion.id}}');" class="btn btn-success btn-xs"><i class="fa fa-edit"></i></a> 
                        {% else %}<a href='{% url "controldiario" asignacion.personal.id 0 0 0 asignacion.proyecto.id %}' class="btn btn-success btn-xs"><i class="fa fa-edit"></i></a>{% endif %}</td>
                </tr>
                {% endfor %}
               
            </tbody>    
        </table>
        <div class="col-md-6 col-sm-6 col-xs-6 form-group has-feedback">
            <label class="control-label">TOTAL DIAS EFECTIVOS EN LA GESTION:</label>
            <input type="text" id="dias_habiles" name="dias_habiles" value="{{ totaldiashabiles }}" class="form-control" readonly="readonly">
            <span class="fa fa-calendar form-control-feedback right" aria-hidden="true"></span>
        </div>  
        <div class="col-md-6 col-sm-6 col-xs-6 form-group has-feedback">
            <label class="control-label">TOTAL DIAS ASIGNADOS:</label>
            <input type="text" id="dias_asignados" name="dias_asignados" value="{{ totaldias }}" class="form-control" readonly="readonly">
            <span class="fa fa-calendar form-control-feedback right" aria-hidden="true"></span>
        </div>  
    </div>
  </div>


<a href="{{ create_url }}" class="btn btn-primary btnTest"><i
    class="fa fa-plus"></i> Nuevo registro</a>
<a href="{{ list_url }}" class="btn btn-success btnTest"><i
    class="fa fa-refresh"></i> Actualizar</a>
{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollX": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}